arg=$1
if [ -z $arg ]; then
  arg="ncmpcpp"
fi

if [ $arg != "ncmpcpp" ] && [ $arg != "rmpc" ]; then
  echo "Unsupported music player '$arg'"
  exit 1
fi

kitty --single-instance btop
kitty --single-instance cava
sleep 0.2

hyprctl dispatch resizeactive 0 250
hyprctl dispatch resizeactive -90 0

hyprctl dispatch movefocus l

exec $arg
